function spawnBus( %path )
{
	if ( ( %count = getWordCount( %path ) ) < 2 )
	{
		return -1;
	}

	%first = getWord( %path, 0 ).position;
	%second = getWord( %path, 1 ).position;

	%dir = vectorSub( %second, %first );
	%dir = vectorNormalize( %dir );

	%vh = createVehicle( longBusVehicle );
	%pl = createDriver();

	%vh.setNodeColor( "ALL", "0.141 0.191 0.012 1" );
	%vh.setTransform( vectorAdd( %first, "0 0 0.5" ) SPC vectorToAxis( %dir ) );

	%pl.path = %path;
	%pl.count = %count;
	%pl.index = 1;

	%vh.mountObject( %pl, 0 );
	%pl.setControlObject( %vh );

	%pl.schedule( 200, "driveBusTick" );
	return %vh;
}