function fxDTSBrick::addNeighbor( %this, %obj )
{
	if ( !strLen( %this.neighbors ) )
	{
		%this.neighbors = 0;
	}

	if ( !strLen( %obj.neighbors ) )
	{
		%obj.neighbors = 0;
	}

	if ( !%this.isNeighbor( %obj ) )
	{
		%this.neighbor[ %this.neighbors ] = %obj;
		%this.neighbors++;
	}

	if ( !%obj.isNeighbor( %this ) )
	{
		%obj.neighbor[ %obj.neighbors ] = %this;
		%obj.neighbors++;
	}
}

function fxDTSBrick::removeNeighbor( %this, %obj )
{
	for ( %i = 0 ; %i < %this.neighbors ; %i++ )
	{
		if ( %found )
		{
			%this.neighbor[ %i ] = %this.neighbor[ %i + 1 ];
		}
		else if ( %this.neighbor[ %i ] == %obj )
		{
			%found = true;
			%i--;

			continue;
		}
	}

	if ( %found )
	{
		%this.neighbors--;
		%this.neighbor[ %this.neighbors ] = "";

		%found = false;
	}

	for ( %i = 0 ; %i < %obj.neighbors ; %i++ )
	{
		if ( %found )
		{
			%obj.neighbor[ %i ] = %obj.neighbor[ %i + 1 ];
		}
		else if ( %obj.neighbor[ %i ] == %this )
		{
			%found = true;
			%i--;

			continue;
		}
	}

	if ( %found )
	{
		%obj.neighbors--;
		%obj.neighbor[ %obj.neighbors ] = "";
	}
}

function fxDTSBrick::isNeighbor( %this, %obj )
{
	for ( %i = 0 ; %i < %this.neighbors ; %i++ )
	{
		if ( %this.neighbor[ %i ] == %obj )
		{
			return true;
		}
	}

	return false;
}