function spawnTaxi( %start )
{
	%target = %start.neighbor[ getRandom( 0, %start.neighbors - 1 ) ];

	%first = %start.position;
	%second = %target.position;

	%dir = vectorSub( %second, %first );
	%dir = vectorNormalize( %dir );

	//%vh = createVehicle( blockoSedanTaxiVehicle );
	%vh = createVehicle( JeepVehicle );
	%pl = createPlayer();

	%vh.player = %pl;
	%pl.vehicle = %vh;

	%vh.setNodeColor( "ALL", "0.75 0.85 0 1" );
	%vh.setTransform( vectorAdd( %first, "0 0 0.5" ) SPC vectorToAxis( %dir ) );

	%pl.state = 0;
	%pl.target = %target;
	%pl.history = %start;
	%pl.previous = %start;

	%vh.mountObject( %pl, 0 );
	%pl.setControlObject( %vh );

	%pl.schedule( 200, "driveTaxiTick" );
	return %vh;
}